#ifndef __INC_POS_PEXEC_NODE_H
#define __INC_POS_PEXEC_NODE_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>Node.h<<   31 Jan 1997    19:20:40 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PEXEC_LIST_H
#include <pExec/List.h>
#endif


/*----- Node Types for ln_Type -----*/
enum pOS_ExNodeType
{
  NTYP_UNKNOWN=0,
  NTYP_TASK,               /* Exec task */
  NTYP_INTERRUPT,
  NTYP_DEVICE,
  NTYP_MSGPORT,
  NTYP_MESSAGE,            /* Indicates message currently pending */
  NTYP_FREEMSG,
  NTYP_REPLYMSG,           /* Message has been replied */
  NTYP_RESOURCE,
  NTYP_LIBRARY,
  NTYP_MEMORY,
  NTYP_SOFTINT,            /* Internal flag used by SoftInits */
  NTYP_FONT,
  NTYP_PROCESS,            /* pDOS Process */
  NTYP_Pad1,
  NTYP_SIGNALSEM,         /* signal semaphores */
  NTYP_Pad2,              /* 0x10 */
  NTYP_Pad3,
  NTYP_Pad4,
  NTYP_Pad5,

  NTYP_VIEW= 32,
  NTYP_VIEWPORT,
  NTYP_CLASS,
  NTYP_DTTDDB,            /* (struct pOS_DtTypeDescribe*) */
  NTYP_CALLBACK,
  NTYP_UNIT,
  NTYP_LAYERINFO,
  NTYP_LAYER,
  NTYP_SCREEN,
  NTYP_PUBSCR,
  NTYP_WINDOW,
  NTYP_MENU,
  NTYP_MEMPOOL,
  NTYP_CATALOG,   /* (struct pOS_Catalog*) */
  NTYP_LOCALE,    /* (struct pOS_Locale*) */
  NTYP_PREFHD,    /* (struct pOS_PrefsHandler*) */
  NTYP_SEGMENT,   /* (struct pOS_SegmentLst*) */


  NTYP_USER        =254,    /* User node types work down from here */
  NTYP_EXTENDED,

};

#endif
